Show / Hide Table of Contents

# Class OpenIddictValidationOwinHandler

Provides the entry point necessary to register the OpenIddict validation in an OWIN pipeline.

##### Inheritance

System.Object
OpenIddictValidationOwinHandler

###### Namespace: OpenIddict.Validation.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationOwinHandler : AuthenticationHandler<OpenIddictValidationOwinOptions>

### Constructors

#### OpenIddictValidationOwinHandler(IOpenIddictValidationDispatcher, IOpenIddictValidationFactory)

Creates a new instance of the OpenIddictValidationOwinHandler class.

##### Declaration

    public OpenIddictValidationOwinHandler(IOpenIddictValidationDispatcher dispatcher, IOpenIddictValidationFactory factory)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictValidationDispatcher | dispatcher | The OpenIddict validation provider used by this instance.
IOpenIddictValidationFactory | factory | The OpenIddict validation factory used by this instance.

### Methods

#### AuthenticateCoreAsync()

##### Declaration

    protected override Task<AuthenticationTicket?> AuthenticateCoreAsync()

##### Returns

Type | Description
--- | ---
Task<System.Nullable<AuthenticationTicket>> |

#### InitializeCoreAsync()

##### Declaration

    protected override Task InitializeCoreAsync()

##### Returns

Type | Description
--- | ---
Task |

#### InvokeAsync()

##### Declaration

    public override Task<bool> InvokeAsync()

##### Returns

Type | Description
--- | ---
Task<System.Boolean> |

#### TeardownCoreAsync()

##### Declaration

    protected override Task TeardownCoreAsync()

##### Returns

Type | Description
--- | ---
Task |